My favorites | Sign in
GWT
Project Home Downloads Wiki Issues
New issue   Search
for
  Advanced search   Search tips   Subscriptions
Issue 5453: GPE flags <g:MenuItem> as an error
27 people starred this issue and may be notified of changes. Back to list
Status:  Fixed
Owner:  rdayal@google.com
Closed:  Jan 2011


Sign in to add a comment
 
Project Member Reported by rjrjr@google.com, Oct 20, 2010
GPE has decided to complain about elements that are non-widgets, but those are allowed. In fact, they're required for menu items. <g:MenuItem> causes 

Widget com.google.gwt.user.client.ui.MenuItem is not a subclass of GWTs Widget class    WidgetBasedUi.ui.xml    /gwt-user/core/test/com/google/gwt/uibinder/test/client    line 240    Google Web Toolkit UiBinder Problem

GPE 1.4.0.v201010181850
Oct 20, 2010
#1 rjrjr@google.com
(No comment was entered for this change.)
Labels: Milestone-2_1
Oct 20, 2010
#2 rjrjr@google.com
(No comment was entered for this change.)
Labels: Priority-High
Oct 26, 2010
#3 cramsdale@google.com
Deferring to a subsequent release.
Labels: Milestone-2_1_1
Oct 26, 2010
#4 cramsdale@google.com
(No comment was entered for this change.)
Labels: -Milestone-2_1
Oct 28, 2010
Project Member #5 drfibonacci@google.com
 Issue 5503  has been merged into this issue.
Oct 29, 2010
#6 paulo.ga...@gmail.com
Really annoying. Same thing on OS X 10.6.4 with Eclipse 3.6.
Nov 5, 2010
#7 diaz.sal...@gmail.com
Annoying but not blocking, you can delete the errors in the Problems view of eclipse and as long as you don't modify the offending class they won't reappear (they will reappear as soon as the class gets recompiled though)
Dec 2, 2010
#8 rocky...@gmail.com
Is this rectified? It's really annoying.
Dec 2, 2010
#9 rjrjr@google.com
Rajeev say's it's fixed
Status: FixedNotReleased
Dec 2, 2010
Project Member #10 rdayal@google.com
The fix will put out as part of the GPE 1.4.1 release.

I do apologize for this bug, but note that you can suppress the error message by navigating to Preferences -> Google -> Errors/Warnings -> UIBinder and setting the "Widget is not a subtype" problem to IGNORE.
Dec 2, 2010
#11 rocky...@gmail.com
It's more annoying than serious, but still...

Thanks for the patch, hope it's out soon-ish! :)
Jan 12, 2011
#12 rjrjr@google.com
(No comment was entered for this change.)
Status: Fixed
Sign in to add a comment

Powered by Google Project Hosting